#ifndef PLAYERCONTROLLER_
#define PLAYERCONTROLLER_

#include <qstring.h>

class PlayerController {
	public:
		static const QString META_ALBUM;
		static const QString META_ARTIST;
		static const QString META_GENRE;
		static const QString META_TITLE;
		static const QString META_TRACK;
		static const QString META_YEAR;
	
		virtual QString GetCurrentSongMetadata(QString) = 0;
		virtual long GetCurrentSongLength() = 0;
		virtual int	GetPlayingTime() = 0;
};

#endif /*PLAYERCONTROLLER_*/
